path: /build/build/ipaddress-dev-python-1.0.23.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/ipaddress -pv -t && \
    USE="-python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/ipaddress
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/ipaddress && luet-portage --dir /pkgdir/ipaddress
    dev-python/ipaddress && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:654e5c82f31ae08d52110a2cdaecc45a1376c9b7b2740b40cc8e55a70958187b
  package:
    name: ipaddress
    version: 1.0.23
    category: dev-python
    use_flags:
    - -python_targets_pypy3
    - -python_targets_python2_7
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race1
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: IPv4/IPv6 manipulation library, backport of the ipaddress module
    uri:
    - https://github.com/phihag/ipaddress
    license: PSF-2
    buildtimestamp: 2023-08-14 20:06:17.973285759 +0000 UTC m=+47.997453254
    labels:
      BDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python2_7?
        ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_10? ( dev-lang/python:3.10
        ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        >=dev-python/setuptools-42.0.2[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      DEPEND: dev-python/setuptools[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      IUSE: python_targets_pypy3 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8 python_targets_python2_7 python_targets_python3_10
      RDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python2_7?
        ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_10? ( dev-lang/python:3.10
        ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      emerge.packages: dev-python/ipaddress
      kit: python-modules-kit
      original.package.name: dev-python/ipaddress
      original.package.slot: "0"
      original.package.version: 1.0.23
    treedir: /build/packages
  package_dir: /pkgdir/ipaddress
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 210a405ae760800acb4bc9a326fd9fefdbeb38a1f28b0e9575b5d30a7547e64f
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/__pycache__/ipaddress.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/__pycache__/ipaddress.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/__pycache__/ipaddress.cpython-39.pyc
- usr/lib/python3.9/site-packages/ipaddress-1.0.23-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/ipaddress-1.0.23-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/ipaddress-1.0.23-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/ipaddress-1.0.23-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/ipaddress-1.0.23-py3.9.egg-info/top_level.txt
- usr/lib/python3.9/site-packages/ipaddress.py
- usr/share/doc/ipaddress-1.0.23/README.bz2
- usr/share/doc/ipaddress-1.0.23/README.md.bz2
- var/db/pkg/dev-python/ipaddress-1.0.23/BDEPEND
- var/db/pkg/dev-python/ipaddress-1.0.23/BUILD_TIME
- var/db/pkg/dev-python/ipaddress-1.0.23/CATEGORY
- var/db/pkg/dev-python/ipaddress-1.0.23/CBUILD
- var/db/pkg/dev-python/ipaddress-1.0.23/CFLAGS
- var/db/pkg/dev-python/ipaddress-1.0.23/CHOST
- var/db/pkg/dev-python/ipaddress-1.0.23/CONTENTS
- var/db/pkg/dev-python/ipaddress-1.0.23/COUNTER
- var/db/pkg/dev-python/ipaddress-1.0.23/CXXFLAGS
- var/db/pkg/dev-python/ipaddress-1.0.23/DEFINED_PHASES
- var/db/pkg/dev-python/ipaddress-1.0.23/DEPEND
- var/db/pkg/dev-python/ipaddress-1.0.23/DESCRIPTION
- var/db/pkg/dev-python/ipaddress-1.0.23/EAPI
- var/db/pkg/dev-python/ipaddress-1.0.23/FEATURES
- var/db/pkg/dev-python/ipaddress-1.0.23/HOMEPAGE
- var/db/pkg/dev-python/ipaddress-1.0.23/INHERITED
- var/db/pkg/dev-python/ipaddress-1.0.23/IUSE
- var/db/pkg/dev-python/ipaddress-1.0.23/IUSE_EFFECTIVE
- var/db/pkg/dev-python/ipaddress-1.0.23/KEYWORDS
- var/db/pkg/dev-python/ipaddress-1.0.23/LDFLAGS
- var/db/pkg/dev-python/ipaddress-1.0.23/LICENSE
- var/db/pkg/dev-python/ipaddress-1.0.23/PF
- var/db/pkg/dev-python/ipaddress-1.0.23/RDEPEND
- var/db/pkg/dev-python/ipaddress-1.0.23/SIZE
- var/db/pkg/dev-python/ipaddress-1.0.23/SLOT
- var/db/pkg/dev-python/ipaddress-1.0.23/USE
- var/db/pkg/dev-python/ipaddress-1.0.23/environment.bz2
- var/db/pkg/dev-python/ipaddress-1.0.23/ipaddress-1.0.23.ebuild
- var/db/pkg/dev-python/ipaddress-1.0.23/repository
package_cacheimage: ""
runtime:
  name: ipaddress
  version: 1.0.23
  category: dev-python
  use_flags:
  - -python_targets_pypy3
  - -python_targets_python2_7
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: IPv4/IPv6 manipulation library, backport of the ipaddress module
  uri:
  - https://github.com/phihag/ipaddress
  license: PSF-2
  labels:
    BDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7
      ) python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      >=dev-python/setuptools-42.0.2[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
    DEPEND: dev-python/setuptools[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
    IUSE: python_targets_pypy3 python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
      python_targets_python2_7 python_targets_python3_10
    RDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7
      ) python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
    emerge.packages: dev-python/ipaddress
    kit: python-modules-kit
    original.package.name: dev-python/ipaddress
    original.package.slot: "0"
    original.package.version: 1.0.23
